> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete workflow notification channel

> Delete workflow-scoped notification channel.

<Warning>
  Deleting a workflow-scoped notification channel is a permanent action and is not recoverable.
</Warning>

## Path parameters

<ParamField path="workflow_id" type="string" required>
  The unique identifier of the workflow.
</ParamField>

<ParamField path="channel_id" type="string" required>
  The unique identifier of the notification channel to delete.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request DELETE \
    --url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f" \
    --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
  ```

  ```python Python SDK theme={null}
  import os
  from unstructured_client import UnstructuredClient
  from unstructured_client.models.operations import DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest

  client = UnstructuredClient(
      api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
      server_url=os.getenv("UNSTRUCTURED_API_URL"),
  )

  response = client.workflows.delete_workflow_channel(
      request=DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest(
          workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
          channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
      )
  )
  print(response)
  ```

  ```python Python SDK (async) theme={null}
  import asyncio
  import os
  from unstructured_client import UnstructuredClient
  from unstructured_client.models.operations import DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest

  async def delete_workflow_channel():
      client = UnstructuredClient(
          api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
          server_url=os.getenv("UNSTRUCTURED_API_URL"),
      )
      response = await client.workflows.delete_workflow_channel_async(
          request=DeleteWorkflowChannelApiV1WorkflowsWorkflowIdNotificationsChannelsChannelIdDeleteRequest(
              workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
              channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
          )
      )
      print(response)

  asyncio.run(delete_workflow_channel())
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {}
  ```
</ResponseExample>
